import 'package:syncrow_web/pages/spaces_management/space_model/models/subspace_template_model.dart';

abstract class SubSpaceModelEvent {}

class AddSubSpaceModel extends SubSpaceModelEvent {
  final SubspaceTemplateModel subSpace;
  AddSubSpaceModel(this.subSpace);
}

class RemoveSubSpaceModel extends SubSpaceModelEvent {
  final SubspaceTemplateModel subSpace;
  RemoveSubSpaceModel(this.subSpace);
}

class UpdateSubSpaceModel extends SubSpaceModelEvent {
  final SubspaceTemplateModel updatedSubSpace;
  UpdateSubSpaceModel(this.updatedSubSpace);
}
